PixAI Platform
API v2 문서미디어

오디오 파일 업로드 URL 발급

POST /v2/reference-video/create의 referenceAudioMediaIds에 사용할 오디오 클립을 업로드하는 1단계입니다. 흐름은 이미지와 같습니다. 파일의 Content-Type(audio/mpeg 또는 audio/wav)을 지정해 바이트를 uploadUrl에 PUT한 다음 POST /v2/media/audio/register를 호출하세요.

WAV와 MP3만 지원하며 클립당 15 MiB 미만이어야 합니다. 길이 제한은 동영상 모델에 따라 다르며, 업로드 시가 아니라 동영상 작업 생성 시 검사됩니다.

POST
/media/audio/upload-url

Authorization

bearerAuth
AuthorizationBearer <token>

인증이 필요한 모든 요청에는 HTTP 헤더에 다음을 추가하세요

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.pixai.art/v2/media/audio/upload-url" \  -H "Content-Type: application/json" \  -d '{}'
{
  "uploadUrl": "string",
  "externalId": "string"
}
{
  "code": "string",
  "status": 0,
  "message": "string",
  "data": {},
  "defined": true
}